# eric4.QScintilla.GotoDialog

Module implementing the Goto dialog.

### Global Attributes

None

### Classes

GotoDialog | Class implementing the Goto dialog.

### Functions

None

## GotoDialog

Class implementing the Goto dialog.

### Derived from

QDialog, Ui_GotoDialog

### Class Attributes

None

### Methods

GotoDialog | Constructor
getLinenumber | Public method to retrieve the linenumber.

#### GotoDialog (Constructor)

GotoDialog(maximum, parent, name = None, modal = False)

Constructor

maximum
  the maximum allowed for the spinbox (int)
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag indicating a modal dialog (boolean)

#### GotoDialog.getLinenumber

getLinenumber()

Public method to retrieve the linenumber.

Returns:
  line number (int)

Up